summaryrefslogtreecommitdiff
path: root/regress
diff options
context:
space:
mode:
authorDamien Miller <djm@cvs.openbsd.org>2004-11-07 00:32:42 +0000
committerDamien Miller <djm@cvs.openbsd.org>2004-11-07 00:32:42 +0000
commitf5abe481145f649a0494e0129edcdc2c529e0a5f (patch)
tree5977b54dadf1e20e7df9431ee49e280c4e9d2fe2 /regress
parentbb00c160285f0b7509c204c59fcf29be69136017 (diff)
regression tests for new multiplex commands
Diffstat (limited to 'regress')
-rw-r--r--regress/usr.bin/ssh/multiplex.sh23
1 files changed, 18 insertions, 5 deletions
diff --git a/regress/usr.bin/ssh/multiplex.sh b/regress/usr.bin/ssh/multiplex.sh
index 63c0e592160..54c881f6281 100644
--- a/regress/usr.bin/ssh/multiplex.sh
+++ b/regress/usr.bin/ssh/multiplex.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: multiplex.sh,v 1.8 2004/06/22 03:12:13 markus Exp $
+# $OpenBSD: multiplex.sh,v 1.9 2004/11/07 00:32:41 djm Exp $
# Placed in the Public Domain.
CTL=$OBJ/ctl-sock
@@ -11,7 +11,11 @@ COPY=$OBJ/ls.copy
start_sshd
trace "start master, fork to background"
-${SSH} -2 -MS$CTL -F $OBJ/ssh_config -oSendEnv="_XXX_TEST" -f somehost sleep 60
+${SSH} -Nn2 -MS$CTL -F $OBJ/ssh_config -oSendEnv="_XXX_TEST" somehost &
+MASTER_PID=$!
+
+# Wait for master to start and authenticate
+sleep 5
verbose "test $tid: envpass"
trace "env passing over multiplexed connection"
@@ -69,6 +73,15 @@ for s in 0 1 4 5 44; do
fi
done
-# kill master, remove control socket. ssh -MS will exit when sleep exits
-$SUDO kill `cat $PIDFILE`
-rm -f $CTL
+trace "test check command"
+${SSH} -S $CTL -Ocheck otherhost || fail "check command failed"
+
+trace "test exit command"
+${SSH} -S $CTL -Oexit otherhost || fail "send exit command failed"
+
+# Wait for master to exit
+sleep 2
+
+ps -p $MASTER_PID >/dev/null && fail "exit command failed"
+
+cleanup